Subject: Re: bug#47881: 28.0.50; `ediff-merge-files' copies diff hunks into clipboard

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 03 May 2021 12:23:10 +0200

Philipp Stephani <[email-masked]> writes:

> It looks like the problem is that ediff-copy-diff calls kill-region.

Yup.  I wondered first whether it did so on purpose, as far as I can
see, the things it puts on the kill ring aren't useful?  So I've just
changed it to delete-region instead.  If people are depending on that
value being in the kill ring, the patch should be reverted, and a
comment should be added to say what the point of the kill-region is.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no